%{?nodejs_find_provides_and_requires}
Name:                nodejs-nan1
Version:             1.9.0
Release:             1
Summary:             Native Abstractions for Node.js
License:             MIT
URL:                 https://github.com/nodejs/nan
Source0:             https://registry.npmjs.org/nan/-/nan-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
Provides:            nodejs-nan-devel = %{version}-%{release}
Provides:            nodejs-nan-static = %{version}-%{release}
%description
A header file filled with macro and utility goodness
for making add on development for Node.js easier across
versions 0.8, 0.10 and 0.11, and eventually 0.12.
Thanks to the crazy changes in V8 (and some in Node core),
keeping native add-on compiling happily across versions,
particularly 0.10 to 0.11/0.12, is a minor nightmare.
The goal of this project is to store all logic necessary
to develop native Node.js add-on without having to inspect
NODE_MODULE_VERSION and get yourself into a macro-tangle.

%prep
%setup -q -n package
rm -rf node_modules

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/nan@1
cp -pr include_dirs.js nan*.h package.json  %{buildroot}%{nodejs_sitelib}/nan@1

%files
%doc CHANGELOG.md README.md
%license LICENSE.md
%{nodejs_sitelib}/nan@1

%changelog
* Mon Aug 17 2020 wutao <wutao61@huawei.com> - 1.9.0-1
- Package init
